LibreOffice LibreOffice 6.1 SDK API Reference

Exported Interfaces | List of all members
FilterAdapter Service Referencepublished

`import"FilterAdapter.idl";`

Inheritance diagram for FilterAdapter:

## Exported Interfaces
interface | XFilterAdapter

## Additional Inherited Members
Public Member Functions inherited from XFilterAdapter
void | convert ([in] com::sun::star::io::XInputStream xml, [in] com::sun::star::io::XOutputStream device, [in] boolean convertToOffice, [in] string pluginUrl, [in] string fileName)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Exported Interfaces

## ◆ XFilterAdapter

interface XFilterAdapter

The documentation for this service was generated from the following file:

- com/sun/star/document/FilterAdapter.idl